# #
# $Date: 1996/06/24 09:35:56 $  $Author: frankp $   $Revision: 1.1 $ #
# #
# frankp, 29/07/94 #

#++
  tr.mu

	linalg::tr(A) -- returns the trace of a square matrix

	This function uses the method "tr" of Matrix.
	See file 'Matrix.mu' for further details.
++#

linalg::tr:= proc(A)
    name linalg::tr;
begin
    if testargs() then
        if args(0) < 1 then error("missing arguments") end_if;
	if A::hasProp( Cat::MatrixCat ) <> TRUE then
	    error("expecting a matrix")
	end_if
    end_if;

    A::tr( args() )
end_proc:

# end of file #
