intlib::lookupln:=proc(f) local m,a,b,g,r;
begin
   case type(f) of "_mult" do
      # case x^a*ln(g)^m #
      if intlib::matchassign(f,_X^_pattern(a,not has,_X)
	*ln(_pattern(g))^_pattern(m,not has,_X)) then return((
         if m=1 then
	    # case x^a*ln(b+m*x) #
	    if intlib::matchassign(g,_pattern(b,
	      fun(not (has(args(1),_X) or iszero(args(1)))))
	      +_pattern(hold(m),not has,_X)*_X) then return((
	      if is(a,Type::NonNegInt)=TRUE then ((_X^(a+1)-(-b/m)^(a+1))*ln(b+m*_X)
		      -(-b/m)^(a+1)*sum((-m*_X/b)^r/r,r=1..a+1))/(a+1)
	      elif is((a:=-a-1),Type::PosInt)=TRUE then ((-_X^(-a)*ln(b+m*_X)+
	      (-m/b)^a*(ln(b/_X+m)+sum((-b/m/_X)^r/r,r=1..a-1)))/a)
	      else FAIL end_if))
            # case x^m*ln((x+b)/(x-b)) #
	    elif is(a,Type::NonNegInt)=TRUE and intlib::matchassign(
	       g,(_X+_pattern(b,not has,_X))/(_X-_pattern(b,not has,_X))) then
	       m:=a+1; a:=b; (a^m-_X^m)*ln(_X-a)/m+(_X^m-(-a)^m)*ln(_X+a)/m
		   +2*a^m/m*sum((_X/a)^(m+1-2*r)/(m+1-2*r),r=1..m div 2)
	    # case x^m*ln(x+sqrt(x^2+b)) #
	    elif intlib::matchassign(g,_X+(_X^2+_pattern(b,not has,
		   _X))^(1/2)) then
	       if a=1 then -_X/4*(g-_X)+(b/4/_X+_X/2)*f
	       elif a=-2 then -ln((g-_X+b^(1/2))/_X)/b^(1/2)-_X*f
	       else FAIL end_if
	    # x^a*ln(x^2-b) #
	    elif not has((b:=_X^2-g),_X) and is(a,Type::NonNegInt)=TRUE then
	       a:=a+1; b^(1/2);
	       1/a*(-ln(_X-%)*%^a-(-%)^a*ln(_X+%)+_X^a*ln(g)-
		   2*sum(b^i*_X^(a-2*i)/(a-2*i),i=0..floor((a-1)/2)))
            else FAIL end_if
	 elif g=_X and m=-1 then       # int(x^a/ln(x),x)=-eint((-a-1)*ln(x)) #
            if a=-1 then ln(ln(_X)) else -eint((-a-1)*ln(_X)) end_if
         elif (g=_X and is(m,Type::NonNegInt))=TRUE 
	 then if a=-1 then ln(_X)^(m+1)/(m+1)
              else (-1)^m*fact(m)*_X^(a+1)/(a+1)^(m+1)
		*sum((-(a+1)*ln(_X))^i/fact(i),i=0..m) end_if
         else FAIL end_if))
      end_if
   of "_power" do
      if op(f,1)=ln(_X) and is((m:=op(f,2)),Type::NonNegInt)=TRUE then
         return((-1)^m*fact(m)*_X*sum((-ln(_X))^i/fact(i),i=0..m))
      end_if
   of "ln" do
      if intlib::matchassign(op(f),_X+(_X^2+_pattern(a,not has,_X))^(1/2))
      then return(_X-op(f)+_X*f)
      end_if
   end_case;
   FAIL
end_proc:
intlib::lookupln(1/ln(_X)):=-eint(-ln(_X)):
